Bug 1313878 - Can't search host by domain parameters
Summary: Can't search host by domain parameters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: orabin
QA Contact: Kedar Bidarkar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-02 14:19 UTC by orabin
Modified: 2019-09-26 14:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:04:03 UTC
Target Upstream Version:


Attachments (Terms of Use)
searching host by domain param works fine (64.26 KB, image/png)
2016-05-30 11:50 UTC, Kedar Bidarkar
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 13937 None None None 2016-04-22 16:19:41 UTC
Red Hat Product Errata RHBA-2016:1500 normal SHIPPED_LIVE Red Hat Satellite 6.2 Base Libraries 2016-07-27 12:24:38 UTC

Description orabin 2016-03-02 14:19:06 UTC
Searching a host by a parameter that is connected to it's domain results in the following error:
<pre>
PG::Error: ERROR: column hosts.domain_id does not exist LINE 1: ...WHERE "hosts"."type" IN ('Host::Managed') AND ((( hosts.doma... ^ : SELECT "hosts".* FROM "hosts" WHERE "hosts"."type" IN ('Host::Managed') AND ((( hosts.domain_id = 1 ))) ORDER BY "hosts"."name" ASC LIMIT 20 OFFSET 0
</pre>
This is a result of trying to add a condition on hosts.domain_id: https://github.com/theforeman/foreman/blob/develop/app/models/concerns/hostext/search.rb#L212

domain_id is delegated to primary_interface but since search_by_params constructs a sql condition directly that doesn't help.
The condition in search_by_params needs to add the join to get the domain_id.

Comment 1 orabin 2016-03-02 14:19:08 UTC
Created from redmine issue http://projects.theforeman.org/issues/13937

Comment 2 orabin 2016-03-02 14:19:13 UTC
Upstream bug assigned to orabin@redhat.com

Comment 4 Bryan Kearney 2016-03-08 13:03:53 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/13937 has been closed
-------------
Ori Rabin
Applied in changeset commit:f2506d3482098dcd4faffe64c036f139d77034d7.

Comment 6 Kedar Bidarkar 2016-05-24 10:12:50 UTC
please provide the verification steps.

Comment 7 orabin 2016-05-24 10:21:44 UTC
Steps:
1. Create a domian with a parameter named "foo" with the value "bar"
2. Create a host connected to that domain
3. In Hosts -> All hosts search for: params.foo = bar
4. Make sure the search returns the host

Comment 8 Kedar Bidarkar 2016-05-30 11:46:53 UTC
We can now search hosts successfully using parameters like "params.subnet = vlan111" or "params.subnet = 112".

VERIFIED with sat62-snap(GA)-13.1

Comment 9 Kedar Bidarkar 2016-05-30 11:50:35 UTC
Created attachment 1162787 [details]
searching host by domain param works fine

Comment 11 errata-xmlrpc 2016-07-27 09:04:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1500


Note You need to log in before you can comment on or make changes to this bug.